# generated by datamodel-codegen:
#   filename:  currency.json
#   timestamp: 2021-08-17T14:36:59+00:00

from __future__ import annotations
from decimal import Decimal
from pydantic import BaseModel, BaseSettings


class Rates(BaseModel):
    AED: Decimal
    AFN: Decimal
    ALL: Decimal
    AMD: Decimal
    ANG: Decimal
    AOA: Decimal
    ARS: Decimal
    AUD: Decimal
    AWG: Decimal
    AZN: Decimal
    BAM: Decimal
    BBD: Decimal
    BDT: Decimal
    BGN: Decimal
    BHD: Decimal
    BIF: Decimal
    BMD: Decimal
    BND: Decimal
    BOB: Decimal
    BRL: Decimal
    BSD: Decimal
    BTC: Decimal
    BTN: Decimal
    BWP: Decimal
    BYN: Decimal
    BZD: Decimal
    CAD: Decimal
    CDF: Decimal
    CHF: Decimal
    CLF: Decimal
    CLP: Decimal
    CNH: Decimal
    CNY: Decimal
    COP: Decimal
    CRC: Decimal
    CUC: Decimal
    CUP: Decimal
    CVE: Decimal
    CZK: Decimal
    DJF: Decimal
    DKK: Decimal
    DOP: Decimal
    DZD: Decimal
    EGP: Decimal
    ERN: Decimal
    ETB: Decimal
    EUR: Decimal
    FJD: Decimal
    FKP: Decimal
    GBP: Decimal
    GEL: Decimal
    GGP: Decimal
    GHS: Decimal
    GIP: Decimal
    GMD: Decimal
    GNF: Decimal
    GTQ: Decimal
    GYD: Decimal
    HKD: Decimal
    HNL: Decimal
    HRK: Decimal
    HTG: Decimal
    HUF: Decimal
    IDR: Decimal
    ILS: Decimal
    IMP: Decimal
    INR: Decimal
    IQD: Decimal
    IRR: Decimal
    ISK: Decimal
    JEP: Decimal
    JMD: Decimal
    JOD: Decimal
    JPY: Decimal
    KES: Decimal
    KGS: Decimal
    KHR: Decimal
    KMF: Decimal
    KPW: Decimal
    KRW: Decimal
    KWD: Decimal
    KYD: Decimal
    KZT: Decimal
    LAK: Decimal
    LBP: Decimal
    LKR: Decimal
    LRD: Decimal
    LSL: Decimal
    LYD: Decimal
    MAD: Decimal
    MDL: Decimal
    MGA: Decimal
    MKD: Decimal
    MMK: Decimal
    MNT: Decimal
    MOP: Decimal
    MRO: Decimal
    MRU: Decimal
    MUR: Decimal
    MVR: Decimal
    MWK: Decimal
    MXN: Decimal
    MYR: Decimal
    MZN: Decimal
    NAD: Decimal
    NGN: Decimal
    NIO: Decimal
    NOK: Decimal
    NPR: Decimal
    NZD: Decimal
    OMR: Decimal
    PAB: Decimal
    PEN: Decimal
    PGK: Decimal
    PHP: Decimal
    PKR: Decimal
    PLN: Decimal
    PYG: Decimal
    QAR: Decimal
    RON: Decimal
    RSD: Decimal
    RUB: Decimal
    RWF: Decimal
    SAR: Decimal
    SBD: Decimal
    SCR: Decimal
    SDG: Decimal
    SEK: Decimal
    SGD: Decimal
    SHP: Decimal
    SLL: Decimal
    SOS: Decimal
    SRD: Decimal
    SSP: Decimal
    STD: Decimal
    STN: Decimal
    SVC: Decimal
    SYP: Decimal
    SZL: Decimal
    THB: Decimal
    TJS: Decimal
    TMT: Decimal
    TND: Decimal
    TOP: Decimal
    TRY: Decimal
    TTD: Decimal
    TWD: Decimal
    TZS: Decimal
    UAH: Decimal
    UGX: Decimal
    USD: Decimal
    UYU: Decimal
    UZS: Decimal
    VES: Decimal
    VND: Decimal
    VUV: Decimal
    WST: Decimal
    XAF: Decimal
    XAG: Decimal
    XAU: Decimal
    XCD: Decimal
    XDR: Decimal
    XOF: Decimal
    XPD: Decimal
    XPF: Decimal
    XPT: Decimal
    YER: Decimal
    ZAR: Decimal
    ZMW: Decimal
    ZWL: Decimal


class Currency(BaseModel):
    disclaimer: str
    license: str
    timestamp: int
    base: str
    rates: Rates


class Settings(BaseSettings):
    app_id: str
    api_url: str
